<div class="container">
  <div class="row">
    <div class="col-xs-12">
      <button
        class="btn btn-primary"
        (click)="onlyOdd = !onlyOdd">Only show odd numbers</button>
      <br><br>
      <ul class="list-group">
        <div>
          @for(number of numbers; track number){
            @if(onlyOdd && number % 2 === 1){
              <li
              class="list-group-item"
              [ngClass]="{odd: number % 2 !== 0}"
              [ngStyle]="{backgroundColor: number % 2 !== 0 ? 'yellow' : 'transparent'}"
              >
                {{ number }}
              </li>
            }
            
            <!-- This is an equalivant to which ngif is transformed -->
            <!-- ng-template does not need to be written, because of the * prefix -->
            <ng-template [ngIf]="!onlyOdd && number % 2 === 0">
              <li class="list-group-item">
                {{ number }}
              </li>
            </ng-template>
          }
        </div>
      </ul>
      <!-- is just now an attribute  -->
      <p appBasicHighlight>Style me with basic directive!</p>
      <p appBetterHighlight [defaultColor]="'yellow'" [highlightColor]="'blue'">Style me with better directive!</p>
      <p *appUnless="!onlyOdd">Odd numbers shown</p>

      <!-- Switch case -->
      @switch (value) {
        @case(5){
          <p>Value is 5</p>
        }
        @case(10){
          <p>Value is 10</p>
        }
        @default{
          <p>Value is unknown</p>
        }
      }

    </div>
  </div>
</div>
